SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
DS_OrderedChannelHeap.h File Reference
`#include "DS_Heap.h"`
`#include "DS_Map.h"`
`#include "DS_Queue.h"`
`#include "Export.h"`
`#include "assert.h"`
`#include "Rand.h"`

Go to the source code of this file.

## Classes

class | DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >
struct | DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::QueueAndWeight
struct | DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::HeapChannelAndData

## Namespaces

namespace | DataStructures

## Class Documentation

struct DataStructures::OrderedChannelHeap::QueueAndWeight

### template<class channel_key_type, class heap_data_type, int(*)(const channel_key_type &, const channel_key_type &) channel_key_comparison_func = defaultMapKeyComparison<channel_key_type>>
struct DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::QueueAndWeight

Definition at line 55 of file DS_OrderedChannelHeap.h.

Class Members
Queue< double > | randResultQueue |
bool | signalDeletion |
double | weight |